Subject: [TR] registration hoax?

From: [email-masked]
Date: Fri, 18 May 2012 17:39:10 +0000 (UTC)

registration hoax?

I got a mail that said I was about to be dropped from triumphs list.  I do NOT want to be dropped.

Is this an attack hoax

Phil Ethier West Side Saint Paul Minnesota USA
1973 Triumph Stag LE22439UBW "uncle jack", Sapphire Blue
2004 Suburban 8.1, Sport Red, the only automatic of the bunch
2005 Lotus Elise, Bordeaux Red Pearl
2007 Saturn Ion 3 2.4, Berry Red
pethier [at] comcast [dot] net
http://www.flickr.com/photos/pethier
http://www.triumphtransamerica.org.uk
http://www.mnautox.com

** [email-masked] **

Donate: http://www.team.net/donate.html
Archive: http://www.team.net/archive
Forums: http://www.team.net/forums
Unsubscribe/Manage: http://autox.team.net/mailman/options/triumphs/[email-masked]